gsm48_range_128 Struct Reference

`#include <gsm_04_08.h>`

## Data Fields

uint8_t | form_id:7
uint8_t | orig_arfcn_hi:1
uint8_t | orig_arfcn_mid
uint8_t | orig_arfcn_lo:1
uint8_t | w1:7
uint8_t | w2:6
uint8_t | w3_hi:2
uint8_t | w3_lo:4
uint8_t | w4_hi:4
uint8_t | w4_lo:1
uint8_t | w5:5
uint8_t | w6_hi:2
uint8_t | w6_lo:3
uint8_t | w7:5
uint8_t | w8:4
uint8_t | w9:4
uint8_t | w10:4
uint8_t | w11:4
uint8_t | w12:4
uint8_t | w13:4
uint8_t | w14:4
uint8_t | w15:4
uint8_t | w16:3
uint8_t | w17:3
uint8_t | w18_hi:2
uint8_t | w18_lo:1
uint8_t | w19:3
uint8_t | w20:3
uint8_t | w21_hi:1
uint8_t | w21_lo:2
uint8_t | w22:3
uint8_t | w23:3
uint8_t | w24:3
uint8_t | w25:3
uint8_t | w26_hi:2
uint8_t | w26_lo:1
uint8_t | w27:3
uint8_t | w28:3
uint8_t | spare:1

## Field Documentation

## form_id

uint8_t gsm48_range_128::form_id

## orig_arfcn_hi

uint8_t gsm48_range_128::orig_arfcn_hi

Referenced by gsm48_decode_freq_list().

## orig_arfcn_lo

uint8_t gsm48_range_128::orig_arfcn_lo

Referenced by gsm48_decode_freq_list().

## orig_arfcn_mid

uint8_t gsm48_range_128::orig_arfcn_mid

Referenced by gsm48_decode_freq_list().

## spare

uint8_t gsm48_range_128::spare

## w1

uint8_t gsm48_range_128::w1

Referenced by gsm48_decode_freq_list().

## w10

uint8_t gsm48_range_128::w10

Referenced by gsm48_decode_freq_list().

## w11

uint8_t gsm48_range_128::w11

Referenced by gsm48_decode_freq_list().

## w12

uint8_t gsm48_range_128::w12

Referenced by gsm48_decode_freq_list().

## w13

uint8_t gsm48_range_128::w13

Referenced by gsm48_decode_freq_list().

## w14

uint8_t gsm48_range_128::w14

Referenced by gsm48_decode_freq_list().

## w15

uint8_t gsm48_range_128::w15

Referenced by gsm48_decode_freq_list().

## w16

uint8_t gsm48_range_128::w16

Referenced by gsm48_decode_freq_list().

## w17

uint8_t gsm48_range_128::w17

Referenced by gsm48_decode_freq_list().

## w18_hi

uint8_t gsm48_range_128::w18_hi

Referenced by gsm48_decode_freq_list().

## w18_lo

uint8_t gsm48_range_128::w18_lo

Referenced by gsm48_decode_freq_list().

## w19

uint8_t gsm48_range_128::w19

Referenced by gsm48_decode_freq_list().

## w2

uint8_t gsm48_range_128::w2

Referenced by gsm48_decode_freq_list().

## w20

uint8_t gsm48_range_128::w20

Referenced by gsm48_decode_freq_list().

## w21_hi

uint8_t gsm48_range_128::w21_hi

Referenced by gsm48_decode_freq_list().

## w21_lo

uint8_t gsm48_range_128::w21_lo

Referenced by gsm48_decode_freq_list().

## w22

uint8_t gsm48_range_128::w22

Referenced by gsm48_decode_freq_list().

## w23

uint8_t gsm48_range_128::w23

Referenced by gsm48_decode_freq_list().

## w24

uint8_t gsm48_range_128::w24

Referenced by gsm48_decode_freq_list().

## w25

uint8_t gsm48_range_128::w25

Referenced by gsm48_decode_freq_list().

## w26_hi

uint8_t gsm48_range_128::w26_hi

Referenced by gsm48_decode_freq_list().

## w26_lo

uint8_t gsm48_range_128::w26_lo

Referenced by gsm48_decode_freq_list().

## w27

uint8_t gsm48_range_128::w27

Referenced by gsm48_decode_freq_list().

## w28

uint8_t gsm48_range_128::w28

Referenced by gsm48_decode_freq_list().

## w3_hi

uint8_t gsm48_range_128::w3_hi

Referenced by gsm48_decode_freq_list().

## w3_lo

uint8_t gsm48_range_128::w3_lo

Referenced by gsm48_decode_freq_list().

## w4_hi

uint8_t gsm48_range_128::w4_hi

Referenced by gsm48_decode_freq_list().

## w4_lo

uint8_t gsm48_range_128::w4_lo

Referenced by gsm48_decode_freq_list().

## w5

uint8_t gsm48_range_128::w5

Referenced by gsm48_decode_freq_list().

## w6_hi

uint8_t gsm48_range_128::w6_hi

Referenced by gsm48_decode_freq_list().

## w6_lo

uint8_t gsm48_range_128::w6_lo

Referenced by gsm48_decode_freq_list().

## w7

uint8_t gsm48_range_128::w7

Referenced by gsm48_decode_freq_list().

## w8

uint8_t gsm48_range_128::w8

Referenced by gsm48_decode_freq_list().

## w9

uint8_t gsm48_range_128::w9

Referenced by gsm48_decode_freq_list().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_08.h